//////////////////////////////////////////////////////////
// This class has been automatically generated on
// Tue Jul 10 14:45:40 2007 by ROOT version 5.15/06
// from TTree towermap/towermap
// found on file: Memory Directory
//////////////////////////////////////////////////////////

#ifndef towermap_h
#define towermap_h

#include <TROOT.h>
#include <TChain.h>
#include <TFile.h>
#include <TObject.h>

class towermap : public TObject  {
public :
   TTree          *fChain;   //!pointer to the analyzed TTree or TChain
   Int_t           fCurrent; //!current Tree number in a TChain

   // Declaration of leave types
   Int_t           WPMT;
   Int_t           WMOD;
   Int_t           WROW;
   Int_t           TOWERID[40];
   Int_t           EROW;
   Int_t           EMOD;
   Int_t           EPMT;

   // List of branches
   TBranch        *b_WPMT;   //!
   TBranch        *b_WMOD;   //!
   TBranch        *b_WROW;   //!
   TBranch        *b_TOWERID;   //!
   TBranch        *b_EROW;   //!
   TBranch        *b_EMOD;   //!
   TBranch        *b_EPMT;   //!

   towermap(TTree *tree=0);
   virtual ~towermap();
   virtual Int_t    Cut(Long64_t entry);
   virtual Int_t    GetEntry(Long64_t entry);
   virtual Long64_t LoadTree(Long64_t entry);
   virtual void     Init(TTree *tree);
   virtual void     Loop();
   virtual Bool_t   Notify();
   virtual void     Show(Long64_t entry = -1);
};

#endif

#ifdef towermap_cxx
towermap::towermap(TTree *tree)
{
// if parameter tree is not specified (or zero), connect the file
// used to generate this class and read the Tree.
   if (tree == 0) {
      TFile *f = (TFile*)gROOT->GetListOfFiles()->FindObject("Memory Directory");
      if (!f) {
         f = new TFile("Memory Directory");
         f->cd("Rint:/");
      }
      tree = (TTree*)gDirectory->Get("towermap");

   }
   Init(tree);
}

towermap::~towermap()
{
   if (!fChain) return;
   delete fChain->GetCurrentFile();
}

Int_t towermap::GetEntry(Long64_t entry)
{
// Read contents of entry.
   if (!fChain) return 0;
   return fChain->GetEntry(entry);
}
Long64_t towermap::LoadTree(Long64_t entry)
{
// Set the environment to read one entry
   if (!fChain) return -5;
   Long64_t centry = fChain->LoadTree(entry);
   if (centry < 0) return centry;
   if (!fChain->InheritsFrom(TChain::Class()))  return centry;
   TChain *chain = (TChain*)fChain;
   if (chain->GetTreeNumber() != fCurrent) {
      fCurrent = chain->GetTreeNumber();
      Notify();
   }
   return centry;
}

void towermap::Init(TTree *tree)
{
   // The Init() function is called when the selector needs to initialize
   // a new tree or chain. Typically here the branch addresses and branch
   // pointers of the tree will be set.
   // It is normaly not necessary to make changes to the generated
   // code, but the routine can be extended by the user if needed.
   // Init() will be called many times when running on PROOF
   // (once per file to be processed).

   // Set branch addresses and branch pointers
   if (!tree) return;
   fChain = tree;
   fCurrent = -1;
   fChain->SetMakeClass(1);

   fChain->SetBranchAddress("WPMT", &WPMT, &b_WPMT);
   fChain->SetBranchAddress("WMOD", &WMOD, &b_WMOD);
   fChain->SetBranchAddress("WROW", &WROW, &b_WROW);
   fChain->SetBranchAddress("TOWERID[40]", TOWERID, &b_TOWERID);
   fChain->SetBranchAddress("EROW", &EROW, &b_EROW);
   fChain->SetBranchAddress("EMOD", &EMOD, &b_EMOD);
   fChain->SetBranchAddress("EPMT", &EPMT, &b_EPMT);
   Notify();
}

Bool_t towermap::Notify()
{
   // The Notify() function is called when a new file is opened. This
   // can be either for a new TTree in a TChain or when when a new TTree
   // is started when using PROOF. It is normaly not necessary to make changes
   // to the generated code, but the routine can be extended by the
   // user if needed. The return value is currently not used.

   return kTRUE;
}

void towermap::Show(Long64_t entry)
{
// Print contents of entry.
// If entry is not specified, print current entry
   if (!fChain) return;
   fChain->Show(entry);
}
Int_t towermap::Cut(Long64_t entry)
{
// This function may be called from Loop.
// returns  1 if entry is accepted.
// returns -1 otherwise.
   return 1;
}
#endif // #ifdef towermap_cxx
